<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:transform>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->
<prototype>
<description lang="fr">Extrait la doc des recipes.</description>
<description lang="fr">Translate recipes description to docbook
documentation.</description> 
<input><match>tmp-doc-ctrl</match>
<description lang="en">transform control structure</description>
</input>
<input list="yes"><match>recipe</match>
<description lang="en">recipes to document</description>
</input>
<output><match>article</match>
<description lang="en">docbook article</description>
</output>
</prototype>
<!-- ======================================================================= -->
<xsl:variable name="LANG"><xsl:value-of select="//tmp-doc-ctrl/lang/text()"/></xsl:variable>
<xsl:variable name="GROUP"><xsl:value-of select="//tmp-doc-ctrl/group/text()"/></xsl:variable>

<xsl:template match="arguments">
<article>
<artheader>
<xsl:choose>
 <xsl:when test="$LANG=fr">
  <title>Description des recettes du livre de recette <xsl:value-of select="$GROUP"/></title>
 </xsl:when>
<xsl:otherwise>
  <title>Recipes description for cookbook <xsl:value-of select="$GROUP"/></title>
</xsl:otherwise> 
</xsl:choose> 
</artheader>
<xsl:apply-templates select="recipe"/>
</article>
</xsl:template>

<xsl:template match="recipe">
<sect1>
 <title>
   <xsl:value-of select="@group"/>.<xsl:value-of select="@name"/>
 </title>
 <para> 
   <xsl:value-of select="./description[@lang=$LANG]/text()"/>
 </para>
</sect1>
</xsl:template>

<!--
<xsl:template match="">
<xsl:choose>
 <xsl:when test="">
 </xsl:when>
 <xsl:otherwise>
 </xsl:otherwise> 
</xsl:choose> 
</xsl:template>
-->

</xsl:transform>