<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:transform>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:include href="common2docbook.xslt"/>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->
<prototype>
<description lang="fr">Extrait la doc des transforms.</description>
<description lang="en">Translate transforms description to docbook
documentation.</description> 
<input><match>tmp-doc-ctrl</match>
<description lang="en">transform control structure</description>
</input>
<input list="yes"><match>transform</match>
<description lang="en">transforms to document</description>
</input>
<output><match>article</match>
<description lang="en">docbook article</description>
</output>
</prototype>
<!-- ======================================================================= -->
<xsl:variable name="LANG"><xsl:value-of select="//tmp-doc-ctrl/lang/text()"/></xsl:variable>
<xsl:variable name="GROUP"><xsl:value-of select="//tmp-doc-ctrl/group/text()"/></xsl:variable>

<xsl:template match="arguments">
<article>
<artheader>
<xsl:choose>
 <xsl:when test="$LANG=fr">
  <title>Description des transformations du module <xsl:value-of select="$GROUP"/></title>
 </xsl:when>
<xsl:otherwise>
  <title>Transforms description for module <xsl:value-of select="$GROUP"/></title>
</xsl:otherwise> 
</xsl:choose> 
</artheader>
<xsl:apply-templates select="transform"/>
</article>

</xsl:template>

<xsl:template match="transform">
<sect1>
 <title>
   <xsl:value-of select="@group"/>.<xsl:value-of select="@name"/>
 </title>
 <xsl:apply-templates select="xsl:transform/prototype"/>
</sect1>
</xsl:template>

<xsl:template match="prototype">
 <para> 
   <xsl:value-of select="./description[@lang=$LANG]/text()"/>
 </para>
 <para>
<xsl:choose>
 <xsl:when test="input">
 <sect2>
   <title>Input</title>
   <itemizedlist>
<xsl:apply-templates select="input"/>
   </itemizedlist>
 </sect2>
 </xsl:when>
</xsl:choose> 
<xsl:choose>
 <xsl:when test="output">
 <sect2>
   <title>Output</title>
   <itemizedlist>
<xsl:apply-templates select="output"/>
   </itemizedlist>
 </sect2>
 </xsl:when>
</xsl:choose> 
 </para>
</xsl:template>

</xsl:transform>